<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<app-floating-back-button (buttonClicked)="goBack()">
  <ng-template #scrolled>
    <div class="text-sm font-semibold flex items-center gap-2">
      <div class="text-primary-500">{{ item?.title }}:</div>
      <div class="text-secondary-900">{{ event?.key }}</div>
    </div>
  </ng-template>
  <div *ngIf="initializing$ | async; else onLoaded" class="w-full">
    <app-item-detail-skeleton></app-item-detail-skeleton>
  </div>
  <ng-template #onLoaded>
    <ng-container *ngIf="(errorInitializing$ | async) == null; else onError">
      <div class="text-xl font-semibold flex items-center gap-2">
        <div class="text-primary-500">{{ item?.title }}:</div>
        <div class="text-secondary-900">
          {{ event?.key }}
        </div>
      </div>
      <ng-container *ngIf="item && event">
        <div class="py-10">
          <app-item-subscription [item]="item" [event]="event"></app-item-subscription>
        </div>
      </ng-container>
    </ng-container>
    <ng-template #onError>
      <div class="w-full h-full flex flex-col items-center justify-center pb-40">
        <div class="text-lg font-semibold text-text-300 pb-10">
          <app-sad-face></app-sad-face>
        </div>
        <div class="flex flex-col gap-4 items-center">
          <p-message severity="warning" text="Failed to load My Node items"></p-message>
          <p-button label="Try Again" [outlined]="true" size="small" (click)="onTryAgain()"></p-button>
        </div>
      </div>
    </ng-template>
  </ng-template>
</app-floating-back-button>
